<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    android:layout_width="match_parent"
    android:layout_height="match_parent">

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_gravity="center"
        android:background="@color/White"
        android:minHeight="@dimen/general_dialog_min_height"
        android:minWidth="@dimen/general_dialog_min_width"
        android:orientation="vertical"
        android:padding="5dp">

        <LinearLayout
            android:id="@+id/general_dialog_top_panel"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_gravity="center"
            android:minHeight="@dimen/general_dialog_min_section_height"
            android:orientation="vertical">

            <LinearLayout
                android:id="@+id/general_dialog_title_template"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_margin="10dp"
                android:gravity="center_vertical"
                android:orientation="horizontal">

                <ImageView
                    android:id="@id/general_dialog_img_icon"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_gravity="center_vertical"
                    android:adjustViewBounds="true"
                    android:background="@null"
                    android:clickable="false"
                    android:contentDescription="@null"
                    android:padding="10dp" />

                <com.android.internal.widget.DialogTitle
                    android:id="@id/general_dialog_tv_title"
                    style="?android:attr/textAppearanceLarge"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_gravity="center_vertical"
                    android:clickable="false"
                    android:ellipsize="end"
                    android:gravity="center_vertical"
                    android:maxLines="1"
                    android:textColor="@color/Black" />
            </LinearLayout>
        </LinearLayout>

        <LinearLayout
            android:id="@+id/general_dialog_content_panel"
            android:layout_width="match_parent"
            android:layout_height="0dp"
            android:layout_weight="1"
            android:orientation="vertical">

            <ScrollView
                android:id="@+id/general_dialog_scroll_view"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:overScrollMode="ifContentScrolls"
                android:padding="10dp">

                <com.ibs.roann.view.ToyosuTextView
                    android:id="@id/general_dialog_tv_message"
                    style="?android:attr/textAppearanceMedium"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:clickable="false"
                    android:padding="5dp"
                    android:textColor="@color/Black" />
            </ScrollView>
        </LinearLayout>

        <LinearLayout
            android:id="@+id/general_dialog_button_panel"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:minHeight="@dimen/general_dialog_min_section_height"
            android:orientation="vertical">

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:measureWithLargestChild="true"
                android:padding="5dp">

                <LinearLayout
                    android:id="@+id/general_dialog_left_spacer"
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_weight="0.25"
                    android:orientation="horizontal"
                    android:visibility="gone" />


                <RelativeLayout
                    android:id="@id/general_dialog_bt_yes"
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_margin="@dimen/common_spacing"
                    android:layout_weight="1">

                    <ImageView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_alignBottom="@+id/general_dialog_rp_yes"
                        android:layout_alignEnd="@+id/general_dialog_rp_yes"
                        android:layout_alignStart="@+id/general_dialog_rp_yes"
                        android:layout_alignTop="@+id/general_dialog_rp_yes"
                        android:adjustViewBounds="true"
                        android:background="@null"
                        android:src="@drawable/common_button_bg" />

                    <com.balysv.materialripple.MaterialRippleLayout
                        android:id="@+id/general_dialog_rp_yes"
                        style="@style/WhiteRippleEffect"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content">

                        <com.ibs.roann.view.ToyosuTextView
                            android:id="@id/general_dialog_tv_yes"
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:layout_centerInParent="true"
                            android:gravity="center"
                            android:maxLines="2"
                            android:padding="@dimen/common_spacing"
                            android:textStyle="bold" />
                    </com.balysv.materialripple.MaterialRippleLayout>

                </RelativeLayout>


                <RelativeLayout
                    android:id="@id/general_dialog_bt_no"
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_margin="@dimen/common_spacing"
                    android:layout_weight="1">

                    <ImageView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_alignBottom="@+id/general_dialog_rp_no"
                        android:layout_alignEnd="@+id/general_dialog_rp_no"
                        android:layout_alignStart="@+id/general_dialog_rp_no"
                        android:layout_alignTop="@+id/general_dialog_rp_no"
                        android:adjustViewBounds="true"
                        android:background="@null"
                        android:src="@drawable/common_button_bg" />

                    <com.balysv.materialripple.MaterialRippleLayout
                        android:id="@+id/general_dialog_rp_no"
                        style="@style/WhiteRippleEffect"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content">

                        <com.ibs.roann.view.ToyosuTextView
                            android:id="@id/general_dialog_tv_no"
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:layout_centerInParent="true"
                            android:gravity="center"
                            android:maxLines="2"
                            android:padding="@dimen/common_spacing"
                            android:textStyle="bold" />
                    </com.balysv.materialripple.MaterialRippleLayout>

                </RelativeLayout>


                <RelativeLayout
                    android:id="@id/general_dialog_bt_cancel"
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_margin="@dimen/common_spacing"
                    android:layout_weight="1">

                    <ImageView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_alignBottom="@+id/general_dialog_rp_cancel"
                        android:layout_alignEnd="@+id/general_dialog_rp_cancel"
                        android:layout_alignStart="@+id/general_dialog_rp_cancel"
                        android:layout_alignTop="@+id/general_dialog_rp_cancel"
                        android:adjustViewBounds="true"
                        android:background="@null"
                        android:src="@drawable/common_button_bg" />

                    <com.balysv.materialripple.MaterialRippleLayout
                        android:id="@+id/general_dialog_rp_cancel"
                        style="@style/WhiteRippleEffect"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content">

                        <com.ibs.roann.view.ToyosuTextView
                            android:id="@id/general_dialog_tv_cancel"
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:layout_centerInParent="true"
                            android:gravity="center"
                            android:maxLines="2"
                            android:padding="@dimen/common_spacing"
                            android:textStyle="bold" />
                    </com.balysv.materialripple.MaterialRippleLayout>

                </RelativeLayout>

                <LinearLayout
                    android:id="@+id/general_dialog_right_spacer"
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_weight="0.25"
                    android:orientation="horizontal"
                    android:visibility="gone" />
            </LinearLayout>
        </LinearLayout>

    </LinearLayout>


</LinearLayout>